DOMText::splitText
DOMXPath::__construct
DOM
PHP Manual

# The DOMXPath class

## Введение

Supports XPath 1.0

## Class synopsis

DOMXPath
DOMXPath {
/* Properties */
public DOMDocument $document ;
/* Methods */
__construct ( DOMDocument `$doc` )
mixed evaluate ( string `$expression` [, DOMNode `$contextnode` ] )
DOMNodeList query ( string `$expression` [, DOMNode `$contextnode` ] )
bool registerNamespace ( string `$prefix` , string `$namespaceURI` )
}

## Свойства

document

  Prop description

## Содержание

- DOMXPath::__construct — Creates a new DOMXPath object
- DOMXPath::evaluate — Evaluates the given XPath expression and returns a typed result if possible.
- DOMXPath::query — Evaluates the given XPath expression
- DOMXPath::registerNamespace — Registers the namespace with the DOMXPath object

DOMText::splitText
DOMXPath::__construct
DOM
PHP Manual